Summary:	A simple converter to create Ogg Theora files
Name:		ffmpeg2theora
Version:	0.29
Release:	%mkrel 5
Group:		Video/Editors and Converters
License:	GPLv3
URL:		http://www.v2v.cc/~j/ffmpeg2theora/
Source0:	http://v2v.cc/~j/ffmpeg2theora/downloads/%{name}-%{version}.tar.bz2
Patch0:		ffmpeg2theora-0.29-ffmpeg-2.0.patch
BuildRequires:	ffmpeg-devel >= 0.8
BuildRequires:	libvorbis-devel
BuildRequires:	libtheora-devel
BuildRequires:	scons
BuildRequires:	libkate-devel

%description
Simple converter to create Ogg Theora files.

%prep
%setup -q
%apply_patches

%build
scons prefix=%_prefix mandir=%_mandir APPEND_LINKFLAGS="%ldflags" APPEND_CCFLAGS="%optflags"

%install
scons install destdir=%buildroot prefix=%_prefix mandir=%_mandir APPEND_LINKFLAGS="%ldflags" APPEND_CCFLAGS="%optflags"
install -D %name.1 %buildroot%_mandir/man1/%name.1

cat > %{_builddir}/%{name}-%{version}/README.mga << EOF

some examples using ffmpeg2theora:

to convert your DV file, called videoclip.dv to Ogg Theora:

ffmpeg2theora videoclip.dv

this will create an Ogg Theora file called videoclip.dv.ogg.

to encode with another quality, lets say Video Quality 7 and Audio Quality 3:

ffmpeg2theora -v 7 -a 3 videoclip.dv

you can also use the v2v Presets to encode your video

ffmpeg2theora -p preview videoclip.dv

or

ffmpeg2theora -p pro videoclip.dv

on linux you can use ffmpeg2theora to stream to an icecast server:
this needs the latest icecast-kh version and a small tool to send the ogg stream to the icecast server.

dvgrab --format raw - | \
     ffmpeg2theora -a 0 -v 5 -f dv -x 320 -y 240 -o /dev/stdout - | \ 
     oggfwd  icecastserver  8000 pwd /theora.ogg

crop the input

ffmpeg2theora --croptop 16 --cropbottom 16 --cropright 32 --cropleft 8 file.avi

further examples and discussion

EOF

%files 
%doc COPYING ChangeLog AUTHORS README TODO README.mga
%{_bindir}/%{name}
%_mandir/man1/%name.1*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.29-5.mga4
+ Revision: 529789
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 fwang <fwang> 0.29-4.mga4
+ Revision: 453359
- apply patch
- fix build with ffmpeg 2.0

* Fri Jan 11 2013 umeabot <umeabot> 0.29-3.mga3
+ Revision: 350260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.29-2.mga3
+ Revision: 341619
- update rpm group
- rebuild for new ffmpeg

* Sat Aug 04 2012 vaci0 <vaci0> 0.29-1.mga3
+ Revision: 278414
- Updated to version 0.29

* Thu May 31 2012 fwang <fwang> 0.28-2.mga3
+ Revision: 252059
- more fix
- add upstream patch
- more fix
- fix build with ffmpeg 0.11

* Fri Jan 27 2012 fwang <fwang> 0.28-2.mga2
+ Revision: 202180
- fix build with latest ffmpeg
- use our own build flags
- rebuild for new ffmpeg

* Wed Sep 07 2011 tv <tv> 0.28-1.mga2
+ Revision: 140277
- new release

* Sun Jun 26 2011 fwang <fwang> 0.27-4.mga2
+ Revision: 113843
- sync to trunk code to build with ffmpeg 0.8
- more patch against ffmpeg 0.8
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Apr 07 2011 ahmad <ahmad> 0.27-3.mga1
+ Revision: 81984
- compile with default flags
- ship subtitles.txt
- add ptch to fix format string
- fix license
- imported package ffmpeg2theora


* Wed Jul 21 2010 Götz Waschk <waschk@mandriva.org> 0.27-2mdv2011.0
+ Revision: 556479
- don't display usage information on installation (pterjan)

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.27-1mdv2011.0
+ Revision: 550285
- new version

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 0.25-1mdv2010.1
+ Revision: 481666
- build with libkate
- new version
- drop patch

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.24-2mdv2010.0
+ Revision: 437539
- rebuild

* Fri Mar 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.24-1mdv2009.1
+ Revision: 359035
- update to new version 0.24

* Wed Mar 11 2009 Götz Waschk <waschk@mandriva.org> 0.23-1mdv2009.1
+ Revision: 353680
- update to new version 0.23

* Sat Oct 25 2008 Götz Waschk <waschk@mandriva.org> 0.22-1mdv2009.1
+ Revision: 297105
- new version
- fix build
- fix installation

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 0.21-2mdv2009.1
+ Revision: 293151
- rebuild for new ffmpeg

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 0.21-1mdv2009.0
+ Revision: 230137
- new version
- drop patch
- remove plf build option

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 0.20-4mdv2009.0
+ Revision: 197465
- fix plf build

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 0.20-3mdv2009.0
+ Revision: 197453
- fix build with new ffmpeg
- update license tag

* Fri Jan 18 2008 Götz Waschk <waschk@mandriva.org> 0.20-2mdv2008.1
+ Revision: 154558
- rebuild

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 0.20-1mdv2008.1
+ Revision: 140421
- new version
- patch to make it build with new ffmpeg
- rebuild for new ffmpeg

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.19-2mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.19-2mdv2008.0
+ Revision: 58010
- fix description

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.19-1mdv2008.0
+ Revision: 57990
- new version


* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.16-3mdv2007.0
+ Revision: 79172
- Import ffmpeg2theora

* Thu Nov 09 2006 Gtz Waschk <waschk@mandriva.org> 0.16-3mdv2007.1
- rebuild

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 0.16-2mdk
- Rebuild

* Thu Mar 09 2006 Gtz Waschk <waschk@mandriva.org> 0.16-1mdk
- add man page
- bump deps
- New release 0.15

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 0.13-3mdk
- specfile support for AAC and DTS (disabled by default)
- spec fixes
- fix buildrequires

* Fri May 06 2005 <plouf@mandriva.org> 0.13-2mdk
-Fix README.urpmi

* Thu May 05 2005 <plouf@mandriva.org> 0.13-1mdk
- First Mandriva Linux release

